%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global srcname amqpclt

Name:		python-amqpclt
Version:	0.5
Release:	2%{?dist}
Summary:	Versatile AMQP client

Group:		Development/Libraries
License:	ASL 2.0
URL:		https://github.com/cern-mig/%{name}
Source0:	http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
Requires:	perl-Config-General
# For python < 2.6 python-simplejson is required
%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRequires:	python-simplejson
BuildRequires:	python-ssl
BuildRequires:	python-uuid
Requires:	python-simplejson
Requires:	python-ssl
Requires:	python-uuid
%endif
BuildRequires:	python2-devel
BuildRequires:	python-argparse
BuildRequires:	python-auth-credential
BuildRequires:	python-dirq	
BuildRequires:	python-messaging	
BuildRequires:	python-pika
BuildRequires:	rabbitmq-server
%if 0%{?fedora} > 14 || 0%{?rhel} > 5
BuildRequires:	python-anyjson
BuildRequires:	python-amqplib
BuildRequires:	python-kombu
%endif
Requires:	python-argparse
Requires:	python-auth-credential
Requires:	python-dirq
Requires:	python-messaging
Requires:	python-pika

%description
amqpclt is a versatile tool to interact with messaging brokers speaking AMQP
and/or message queues (see messaging.queue) on disk.

It receives messages (see messaging.message) from an incoming module,
optionally massaging them (i.e. filtering and/or modifying), and sends
them to an outgoing module. Depending on which modules are used, the tool
can perform different operations.

%prep
%setup -q -n %{srcname}-%{version}

%build 
%{__python} setup.py build

%install
rm -rf %{buildroot}

%{__python} setup.py install --skip-build --root %{buildroot}
install -D -m 644 man/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1;

%check
mkdir -p rabbitmq/mnesia rabbitmq/plugins rabbitmq/log
export RABBITMQ_MNESIA_DIR=rabbitmq/mnesia
export RABBITMQ_PID_FILE=rabbitmq/rabbitmq-server.pid
export RABBITMQ_PLUGINS_EXPAND_DIR=rabbitmq/plugins
export RABBITMQ_ENABLED_PLUGINS_FILE=rabbitmq/plugins.enabled
export RABBITMQ_LOG_BASE=rabbitmq/log
export HOSTNAME=localhost
%{_exec_prefix}/lib/rabbitmq/bin/rabbitmq-server -detached
sleep 3
export PYTHONPATH=$PYTHONPATH:.
%{__python} setup.py test
%{_exec_prefix}/lib/rabbitmq/bin/rabbitmqctl stop
sleep 3
[ -f %{_bindir}/epmd ] && %{_bindir}/epmd -kill || %{_libdir}/erlang/bin/epmd -kill
# And remove compiled documentation.
rm -f test/*.pyc
rm -rf rabbitmq

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.rst CHANGES
%{_mandir}/man?/*
%attr(755, root, root) %{_bindir}/%{srcname}
%{python_sitelib}/%{srcname}/
%if 0%{?rhel} != 5
%{python_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 09 2013 Massimo Paladin <Massimo.Paladin@gmail.com> - 0.5-1
- Updating to latest version, rhbz#970848.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 26 2012 Massimo Paladin <Massimo.Paladin@gmail.com> - 0.4-1
- Updating to latest version.

* Tue Sep 25 2012 Massimo Paladin <Massimo.Paladin@gmail.com> - 0.3-4
- Improved dependencies.

* Tue Sep 25 2012 Massimo Paladin <Massimo.Paladin@gmail.com> - 0.3-3
- BuildRoot now fine.

* Mon Sep 24 2012 Massimo Paladin <Massimo.Paladin@gmail.com> - 0.3-2
- Adjustments plus renaming.

* Tue Sep 04 2012 Massimo Paladin <Massimo.Paladin@gmail.com> - 0.3-1
- Initial packaging.

